[B028] Patented drug and patent type
Obtain patented drug and patent type through patent
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| string | f00a5247-0886-4ec4-aeae-572b32fe633a | Patent ID, obtain this through drug core patent search interface or drug related patent search |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
apno | string | CN200680056438.5 | Patent publication Number |
drug | array | [
{
"drug_id": "01b23c90dfeb41ddae473c4f576668ad",
"display_name": [
{
"lang": "EN",
"name": "Paclitaxel"
},
{
"lang": "CN",
"name": "紫杉醇"
}
]
}
] | Drug |
drug_id | string | e82b83b42eba4e5ea3f26f8e06081a5a | Drug ID |
display_name | array | [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
},
{
"lang": "CN",
"name": "雷珠单抗"
}
] | Drug Name, Referencing "CommonName" |
lang | string | EN | Language |
name | string | Ranibizumab (Genentech) | Drug,Target,Organization,Disease,Country/Location,DICT,Mechanism Action Name |
title | array | [
{
"lang": "EN",
"text": "Antibody and checkpoint inhibitor combination therapy"
}
] | Title |
lang | string | CN | language |
text | string | Antibody and checkpoint inhibitor combination therapy | text |
target | array | [
{
"target_id": "542a4dca1a3c481c8a3d022e2a1a6fc0",
"short_name": [
{
"lang": "EN",
"name": "LGR5"
}
],
"display_name": [
{
"lang": "EN",
"name": "Leucine-rich repeat-containing G-protein coupled receptor 5"
},
{
"lang": "CN",
"name": "富含亮氨酸重复序列的G蛋白偶联受体-5"
}
]
}
] | Target |
target_id | string | 1c2067e5ab054a8995f73efcfcf56207 | Target ID |
short_name | array | [
{
"lang": "EN",
"name": "VEGF"
}
] | Target Short Name, Referencing "CommonName" |
display_name | array | [
{
"lang": "EN",
"name": "Vascular endothelial growth factor"
},
{
"lang": "CN",
"name": "血管内皮生长因子"
}
] | Target Full Name, Referencing "CommonName" |
disease | array | [
{
"disease_id": "62eaee6d9ee44410b8aca59dfc7408e9",
"display_name": [
{
"lang": "EN",
"name": "Neoplasms"
},
{
"lang": "CN",
"name": "肿瘤"
}
]
}
] | Disease |
disease_id | string | 06a9082fe1ec4c97bea31d888b9cfdce | Disease ID |
display_name | array | [
{
"lang": "EN",
"name": "Uveitic Macular Edema"
},
{
"lang": "CN",
"name": "葡萄膜炎黄斑水肿"
}
] | Disease Name, Referencing "CommonName" |
core_drug | array | [
{
"drug_id": "567c4038545f44fb99efc9ff81d9eba2",
"display_name": [
{
"lang": "EN",
"name": "CNA-3103"
}
]
}
] | Patented Core Drug |
patent_id | string | f00a5247-0886-4ec4-aeae-572b32fe633a | patent id |
cde_drug_patent_types | array | Please check the form:PatentTypeDto | CDE Patent Type |
patent_type | object | {
"display_name": [
{
"lang": "EN",
"name": "New Use"
},
{
"lang": "CN",
"name": "医药用途"
}
],
"normalized_id": "f6d60f79ffbf3d14b0b62f0821755eeb"
} | Patent Type |
display_name | array | [
{
"lang": "EN",
"name": "Autologous CAR-T"
},
{
"lang": "CN",
"name": "自体CAR-T"
}
] | Dict Name |
normalized_id | string | 2fbfdb3e92d942c48cbb0adb79f23526 | Dict ID |
exclusivity_code | string | NPP | Orange Book Exclusivity Code |
patent_type_drug | array | [
{
"drug_id": "567c4038545f44fb99efc9ff81d9eba2",
"display_name": [
{
"lang": "EN",
"name": "CNA-3103"
}
]
}
] | Patented drug |
fda_drug_patent_types | array | Please check the form:PatentTypeDto | FDA Patent Type |
phs_drug_patent_types | array | Please check the form:PatentTypeDto | Synapse Patent Type |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": {
"apno": "CN200680056438.5",
"drug": [
{
"drug_id": "e82b83b42eba4e5ea3f26f8e06081a5a",
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
]
}
],
"title": [
{
"lang": "CN",
"text": "Antibody and checkpoint inhibitor combination therapy"
}
],
"target": [
{
"target_id": "1c2067e5ab054a8995f73efcfcf56207",
"short_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
],
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
]
}
],
"disease": [
{
"disease_id": "06a9082fe1ec4c97bea31d888b9cfdce",
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
]
}
],
"core_drug": [
{
"drug_id": "e82b83b42eba4e5ea3f26f8e06081a5a",
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
]
}
],
"patent_id": "f00a5247-0886-4ec4-aeae-572b32fe633a",
"cde_drug_patent_types": [
{
"patent_type": {
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
],
"normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
},
"exclusivity_code": "NPP",
"patent_type_drug": [
{
"drug_id": "e82b83b42eba4e5ea3f26f8e06081a5a",
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
]
}
]
}
],
"fda_drug_patent_types": [
{
"patent_type": {
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
],
"normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
},
"exclusivity_code": "NPP",
"patent_type_drug": [
{
"drug_id": "e82b83b42eba4e5ea3f26f8e06081a5a",
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
]
}
]
}
],
"phs_drug_patent_types": [
{
"patent_type": {
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
],
"normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
},
"exclusivity_code": "NPP",
"patent_type_drug": [
{
"drug_id": "e82b83b42eba4e5ea3f26f8e06081a5a",
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
]
}
]
}
]
},
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200001 | API call exceeds the total limit set by the platform! |
67200002 | Quota exceeds the limit! |
67200003 | Access token expired or authentication error! |
67200004 | No permission or API package quota has exceeded the limit! |
67200005 | Insufficient balance, call failed! |
67200006 | This client has expired and call failed! |
67200007 | Exceeded the call limit, call failed! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms